using System.ComponentModel.DataAnnotations;

namespace Fast.Models
{
    public class NotificationListItem
    {
        [Key] //need to set primary key for OData
        public int NotificationId { get; set; }

        [Display(Name = "Notification Name")] public string NotificationName { get; set; } = "";
        [Display(Name = "From Name")] public string FromName { get; set; } = "";
        [Display(Name = "From Address")] public string FromAddress { get; set; } = "";
        [Display(Name = "To Addresses")] public string ToAddresses { get; set; } = "";
        [Display(Name = "Subject")] public string Subject { get; set; } = "";
    }
}